Add a git repo to a project
POST
/projects/{id}/git-repos
Authorizations
BearerAuth
JWT token from login
Type
HTTP (bearer)
or
AccessToken
Personal access token. Value: Token <your-token>
Type
API Key (header: Authorization)
Parameters
Path Parameters
id*
Project ID
Type
Requiredstring
Request Body
application/json
JSON "name": "string", "repo_url": "string", "branch": "main", "auth_token": "string", "sync_interval": 10, "notes_path": "notes", "memories_path": "memories", "sync_path": "/", "trash_on_delete": true
{
}
Responses
Created
application/json
JSON "repo": { "_id": "string", "project": "string", "name": "string", "repo_url": "string", "branch": "string", "auth_token": "string", "sync_interval": 0, "enabled": true, "notes_path": "string", "memories_path": "string", "sync_path": "string", "trash_on_delete": true, "last_sync_status": "string", "last_synced_at": "string", "last_sync_error": "string", "createdAt": "string", "updatedAt": "string" }
{
}